MSW1Parser.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWContentListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MSW1Parser.hxx"`

## Classes

struct | MSW1ParserInternal::PLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | MSW1ParserInternal::Font
| Internal: the font of a MSW1Parser. More...
struct | MSW1ParserInternal::Paragraph
| Internal: the paragraph of a MSW1Parser. More...
struct | MSW1ParserInternal::State
| Internal: the state of a MSW1Parser. More...
class | MSW1ParserInternal::SubDocument
| Internal: the subdocument of a MSWParser. More...

## Namespaces

| MSW1ParserInternal
| Internal: the structures of a MSW1Parser.

## Enumerations

enum | MSW1ParserInternal::PLCType { MSW1ParserInternal::FONT =0, MSW1ParserInternal::RULER, MSW1ParserInternal::FOOTNOTE, MSW1ParserInternal::PAGE, MSW1ParserInternal::ZONE, MSW1ParserInternal::UNKNOWN }
| different types More...

## Functions

std::ostream & | MSW1ParserInternal::operator<< (std::ostream &o, PLC const &plc)
std::ostream & | MSW1ParserInternal::operator<< (std::ostream &o, Font const &ft)
std::ostream & | MSW1ParserInternal::operator<< (std::ostream &o, Paragraph const &para)